﻿using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TabbedMDI_Manager
{
    public partial class Form1 : MetroForm
    {
	    //Initilaize 

        TabControlAdv tabControl;
        Form form3 = new Form();
        Form form4 = new Form();
        Form form5 = new Form();
        public Form1()
        {
            InitializeComponent();
			tabbedMDIManager1.UseIconsInTabs = false;
        }


        #region Event

        /// <summary>
        /// Raise Event on form load
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Form1_Load(object sender, EventArgs e)
        {
            this.tabbedMDIManager1.TabControlAdded += TabbedMDIManager1_TabControlAdded;
            Form form1 = new Form();
            Form form2 = new Form();
            form1.Text = "tabpage1";
            form2.Text = "tabpage2";
			form3.Text = "Add New Tab";
			form1.MdiParent = this;
            form2.MdiParent = this;
            form3.MdiParent = this;
            form2.Show();
            form3.Show();
            form1.Show();
        }

        /// <summary>
        /// Event to handle configure the tab control's behavior.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="args"></param>
        private void TabbedMDIManager1_TabControlAdded(object sender, Syncfusion.Windows.Forms.Tools.TabbedMDITabControlEventArgs args)
        {
            tabControl = new TabControlAdv();
            tabControl = args.TabControl;
			//Tab size
			tabControl.ItemSize = new Size(30, 30);
			//Create New Tab, when click the Plus(+) tab
            tabControl.Click += TabControl_Click;
        }

        /// <summary>
        /// Event to handle the Add new tab page on click
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void TabControl_Click(object sender, EventArgs e)
        {
		    //Add New TabPage
			if (tabControl.SelectedTab.Text == "Add New Tab")
			{
				Form[] forms = this.MdiChildren;
				foreach (Form c in forms)
				{
					if (c.Text == "Add New Tab")
					{
						form4 = new Form();
						form4.Text = "New Tab";
						form4.MdiParent = this;
						form4.Show();
						form3.Close();
						form3 = new Form();
						form3.Text = "Add New Tab";
						form3.MdiParent = this;
						break;

					}
				}
			}
        }

        #endregion

    }

}
